Page MenuHomeWrite.as

Support ActivityPub Likes
Closed, ResolvedPublic

Description

Overview

Accept Like activities on individual posts over ActivityPub.

Implementation

  • Look for these activities in each collection's inbox
  • When received, add it to a database table that connects the post and the remote user
  • Accept Undo activities for any Likes, and remove database row when received
  • Display a simple count of Likes on individual post pages for the author, next to Views
  • Potentially: display the number of likes on the Reader / Read Write.as page

Revisions and Commits

Related Objects

StatusAssignedTask
Openmatt
Resolvedmatt

Event Timeline

matt triaged this task as High priority.Feb 27 2024, 8:46 PM
matt created this task.
matt moved this task from Future to Early 2024 on the Roadmap board.
matt lowered the priority of this task from High to Normal.Feb 29 2024, 9:06 PM
matt added a commit: Restricted Diffusion Commit.Mar 6 2024, 9:15 PM
matt closed this task as Resolved by committing Restricted Diffusion Commit.Thu, Mar 14, 5:50 PM
matt added a commit: Restricted Diffusion Commit.
matt added a commit: Restricted Diffusion Commit.